Page MenuHomePhabricator

Provide options to choose target namespace for publishing
Closed, ResolvedPublic

Description

A translator should be able to choose the target namespace for publishing. Following options should be provided

Options

  1. Main namespace - Publish in main namespace
  2. User namespace - Publish the page under User:UserName/
  3. Draft namespace - Publish under Draft: Namespace. This options will be given only if Draft namespace exist in target language wiki.

Default option

  1. The default option always fallback to the value of ContentTranslationTargetNamespace configuration of Content translation
  2. If the source article is not from main namespace(for example, Help:HelpPage, the target namespace should default to the same namespace in target wiki if exist. Fallback to default option if it doesnot exist. The selector should list this namespace in the place of Main namespace option.

Namespace selection

  1. Changing the selection in the menu will update the article title.
  2. Changing the article title will keep the setting selection consistent.

The namespace selector icon should have tooltip indicating what it can do.

Reference design from parent ticket T133862: Provide easy access to advanced publishing settings from the Content Translation columns interface

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 9:10 AM

Change 353527 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Add publishing destination namepsace options

https://gerrit.wikimedia.org/r/353527

This workflow seems like it would potentially be confusing for users. If we assume that English Wikipedia is going to set ContentTranslationTargetNamespace to either Draft or User namespace, if a user doesn't click the gear icon to choose a namespace and just hits publish, it will publish the translation to somewhere unexpected and the user will likely be confused that it isn't published to the main namespace. A better solution would be be force the user to choose a namespace after clicking the publish button.

it will publish the translation to somewhere unexpected

Yes, this is a valid UX concern. To address this, the translation title will show where the article is going to publish. For example, if the default target namespace is Draft:, the target title shown on the top of the Translation column will have Draft:XXXX . If the default is User namespace, the target title will be User:UserName/Title. And using the namespace selector will also change the target title so that Translator knows where the article is getting published.

santhosh triaged this task as Medium priority.

Fair enough :)

Change 355381 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX1: Reflect the namespace of the traget title in namespace selector

https://gerrit.wikimedia.org/r/355381

Change 353527 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Add publishing destination namespace options

https://gerrit.wikimedia.org/r/353527

Change 355381 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Reflect the namespace of the target title in namespace selector

https://gerrit.wikimedia.org/r/355381

Elitre added a subscriber: Elitre.May 29 2017, 4:12 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.

Arrbee closed this task as Resolved.Jun 20 2017, 7:03 AM